import { ElMessage } from 'element-plus';
import request from '/@/utils/request';
/**
 * @summary 获取测点，测点与测点组组合
 */
export const GetMonitorPointStd = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Std/GetLogicalTreeListByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * 调用接口，返回测点
 * 报错时返回 undefined
 * @returns
 */
export const getMonitorPointStd = async (params, req: any = request) => {
	const res = await GetMonitorPointStd(params, req);

	if (res?.Code === 0) {
		const resData = (res.Data || []) as [];
		return resData;
	} else {
		ElMessage.error('获取测点失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		return undefined;
	}
};
/**
 * @summary 通过 BelongType and BelongID获取测点组Std (金庭使用)
 */
export const GetTreeItemListByBelongTypeAndBelongID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Point/Group/Std/GetTreeItemListByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		params,
	});
};
